package com.tmerclub.cloud.systemtest.data.amount;

import com.tmerclub.cloud.api.platform.dto.OfflineHandleEventDTO;

/**
 * @author lpj
 */
public class OfflineHandleEventDtoData {

    /**
     * 违规下架数据
     * @param eventId 事件id
     * @param handleId 违规下架的活动id
     * @param offlineReason 违规下线原因
     * @param reapplyReason 申请上架原因
     * @param refuseReason 拒绝原因
     * @param status 状态
     */
    public static OfflineHandleEventDTO getOfflineHandleEventDTO(Long eventId, Long handleId, String offlineReason, String reapplyReason, String refuseReason, Integer status) {
        OfflineHandleEventDTO offlineHandleEventDTO = new OfflineHandleEventDTO();
        offlineHandleEventDTO.setEventId(eventId);
        offlineHandleEventDTO.setHandleId(handleId);
        offlineHandleEventDTO.setOfflineReason(offlineReason);
        offlineHandleEventDTO.setReapplyReason(reapplyReason);
        offlineHandleEventDTO.setRefuseReason(refuseReason);
        offlineHandleEventDTO.setStatus(status);
        return offlineHandleEventDTO;
    }

}
